/* $Id: util.c,v 1.1 1998/07/23 15:29:39 levitte Exp $ */

#include "util.h"

/* The invert_byte_order() routine has been borrowed from Dave Jones VMS
   SSH server.  The following comment is his: */
/*
 * Some routines in SSLeay load the cipher blocks big-endian, while
 * the same code in SSH loads the 32-bit words little-endian.
 */
void invert_byte_order ( int len, char *data )
{
    int i;
    unsigned char b0, b1, b2, b3, b4;
    for ( i = 0; i < len; i += 4 ) {
	b0 = data[i]; b1 = data[i+1];
	data[i] = data[i+3]; data[i+1] = data[i+2];
	data[i+2] = b1; data[i+3] = b0;
    }
}

